### Hierarchy

- Base
  - Browser
  - Server

## Index

### Constructors

- constructor

### Properties

- _config

### Object literals

- _environment

## Constructors

### constructor

- new Base(): Base

- - Defined in base/base.ts:8

  #### Returns Base

## Properties

### Private _config

_config: ConfigService

- Defined in base/base.ts:8

## Object literals

### Private _environment

_environment: object

- Defined in base/base.ts:7

### namespace

namespace: string = "_ema"

- Defined in base/base.ts:7

### type

type: string = "js"

- Defined in base/base.ts:7